Loading...
Searching...
No Matches
listen_handler

Unsettled API - A handler for incoming connections. More...

`#include <listen_handler.hpp>`

## Public Member Functions

virtual void | on_open (listener &)
| Called when the listener is opened successfully.
virtual connection_options | on_accept (listener &)
| Called for each accepted connection.
virtual void | on_error (listener &, const std::string &)
| Called if there is a listening error, with an error message.
virtual void | on_close (listener &)
| Called when this listen_handler is no longer needed, and can be deleted.

## Detailed Description

Unsettled API - A handler for incoming connections.

Implement this interface and pass to proton::container::listen() to be notified of new connections.

Examples
  direct_recv.cpp, direct_send.cpp, and server_direct.cpp.

## Member Function Documentation

## on_accept()

virtual connection_options on_accept | ( | listener & |  | ) |

virtual

Called for each accepted connection.

Returns connection_options to apply, including a proton::messaging_handler for the connection. messaging_handler::on_connection_open() will be called with the proton::connection, it can call connection::open() to accept or connection::close() to reject the connection.

## on_error()

virtual void on_error | ( | listener & | ,
|  | const std::string & | )

virtual

Called if there is a listening error, with an error message.

close() will also be called.

The documentation for this class was generated from the following file:

- proton/listen_handler.hpp